
library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity mux4x1 is
port (i0,i1,i2,i3 : in bit;
      s1,s0: 		in bit;
      z: 		out bit );
end mux4x1;

architecture schematic of mux4x1 is
  component mux2x1 is
   port ( 	a, b: in bit;
		s: in bit;
		z: out bit );
  end component;
 signal z1,z2: bit;

begin
  m0: mux2x1 port map ( a=> i0, z => z1, b => i1, s => s0);
  m1: mux2x1 port map (i2,i3,s0,z2);
  m2: mux2x1 port map (z1,z2,s1,z);
end schematic; 

